#!/usr/bin/env python3
#
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import sys
assert sys.version_info >= (3,), 'Python 3 is required'

from setuptools import (
    find_packages,
    setup,
)

VERSION = '1.0.0'

setup(
    name='adt-continuous-integration',
    version=VERSION,
    description=('CI deployment helpers '),
    author='Canonical CI Engineering Team',
    author_email='canonical-ci-engineering@lists.launchpad.net',
    url='https://launchpad.net/adt-continuous-integration',
    license='GPLv3',
    packages=find_packages(),
    test_suite='ci_automation.tests',
    scripts=['cd.py', 'mojo.py', 'reaper.py']
)
